Subject: Speed Humps in southern Montgomery Co.

From: [email-masked] (P.J. Geraghty)
Date: Sun, 25 Jun 1995 12:55:45 -0500

Our fearless county government, after spending god knows how many $$$$$ to
make Huntington Parkway into a "serpentine" is now planning to add speed
humps.

They're also going to put them on N. Chelsea Lane near Jones Bridge Rd./
Rockville Pike.

Too bad...the serpentine was kinda fun...my top speed through there was
>65 MPH...anyone else?  :)